WordPress.org

Ready to get started?Download WordPress

Forums

Tabbed Widgets
[resolved] Not working on 3.1-RC3 (10 posts)

  1. Just upgraded to test and wham. Not working. The accordion isn't working. Everything is showing.

    I suspect this: http://wpdevel.wordpress.com/2010/11/20/wordpress-3-1-uses-jquery-1-4-4-and-jqu/ is why.

  2. Kaspars
    Member
    Plugin Author

    Posted 3 years ago #

    Just released 1.3 should fix that, along with other performance improvements.

  3. Sweet! Simplified CSS means I have to re-do some of mine, but a sooo small price to pay.

  4. Aaand now it's un-resolved.

    1.3.1 breaks on 3.1.

    You click on the accordion link and they're all marked as 'clicked on' (the link color changes) but nothing opens. Reverted to 1.3 and it was fix.

  5. Kaspars
    Member
    Plugin Author

    Posted 3 years ago #

    What is the URL of your site?

    I have it running on my local 3.1RC3 with default theme and it works fine. What theme and plugins do you have activated?

  6. It's restricted to logged in users only.

    I changed line 119 and 120 from:

    wp_enqueue_script('jquery-ui-accordion',  $this->plugin_path . 'js/jquery-ui-custom.min.js', array('jquery'), false, true);
    		wp_enqueue_script('jquery-ui-cookie',  $this->plugin_path . 'js/jquery-cookie.min.js', array('jquery-ui-accordion'), false, true);

    to

    global $wp_version;
            if (version_compare($wp_version, "3.1", ">=")) {
                    wp_enqueue_script('jquery-ui-google',  'http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/jquery-ui.min.js', array('jquery'), false, true);
             }
            else {
                    wp_enqueue_script('jquery-ui-accordion',  $this->plugin_path . 'js/jquery-ui-custom.min.js', array('jquery'), false, true);
            }
    
                    wp_enqueue_script('jquery-ui-cookie',  $this->plugin_path . 'js/jquery-cookie.min.js', array('jquery-ui-accordion'), false, true);

    I SUSPECT it's because I also have http://wordpress.org/extend/plugins/use-google-libraries/ installed, and they're conflicting.

  7. Nope. Disabled that and reverted to 1.3.1 and it still fails.

    Using a LOT of plugins.

    Akismet
    Bad Behavior
    Comment Form Quicktags
    Custom Post Type UI
    Degradable HTML5 audio and video
    Do Follow
    Efficient Related Posts
    Executable PHP widget
    Impostercide
    Google Analyticator
    Grunion
    Hybrid Hook Widgets
    Plugin List
    PollDaddy Polls
    Register IP - MultiSite
    Subscribe to Comments Reloaded
    Tabbed Widgets
    Use Google Libraries
    W3 Total Cache
    Widget Logic
    WP Grins Lite
    WP Hide Dashboard-Multisite

    BuddyPress
    * Achievements
    * BP Group Management
    * BP Include Non-member Comments
    * BuddyPress Activity Stream Bump to Top
    * BuddyPress Like
    * BuddyPress Restrict Group Creation
    * BuddyPress Template Pack
    * oEmbed for BuddyPress

  8. Kaspars
    Member
    Plugin Author

    Posted 3 years ago #

    Would you mind trying it on a fresh install?

    Also, make sure you don't have multiple versions of jQuery or jQuery UI being loaded on the same page.

  9. I happen to keep a second BuddyPress site around for testing ;) http://consensualreality.net/ works fine (and has nearly no plugins installed - Akismet and BuddyPress are it on that one right now).

    Arrrgh. The only call to jsquery and jqueryui are both calls to google APIs.

    <script type='text/javascript' src='http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/jquery-ui.min.js'></script>
    
    <script type='text/javascript' src='http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js'></script>

    If I turn off Use Google, I get these:

    <script type='text/javascript' src='http://jorjafox.net/wp-includes/js/jquery/jquery.js?ver=1.4.4'></script> 
    
    <script type='text/javascript' src='http://jorjafox.net/wp-content/plugins/tabbed-widgets/js/jquery-ui-custom.min.js?ver=3.1-RC3'></script>
  10. Okay this must be a problem with my theme. I fresh installed and had the same problem. Put <script type='text/javascript' src='http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/jquery-ui.min.js'></script> into my header, and it works. So clearly it's brain farting somewhere.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic